/*! \file
 * \brief Utility functions for logging with Glib
 */

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <glib.h>
#include "logging.h"

static GLogLevelFlags level = G_LOG_LEVEL_MESSAGE;

void alod_log_func(const gchar *log_domain,
                   GLogLevelFlags log_level,
                   const gchar *message,
                   gpointer user_data)
{
    if (log_level < (level << 1))
        g_log_default_handler(log_domain, log_level, message, user_data);
}

void alod_log_set_level(GLogLevelFlags l)
{
    level = l;
}
