/*! \file
 * \brief Safely meschach header files
 * Meschach is _very_ C++ unfriendly. It doesn't provide an <tt>extern C</tt>,
 * it defines a macro called "catch", and it defines a type called pair.
 */

#ifndef ALOD_COMMON_MESCH_H
#define ALOD_COMMON_MESCH_H

extern "C"
{
#if STDC_HEADERS
# define CONFIG_H_STDC_HEADERS
#endif
#ifdef STDC_HEADERS
# undef STDC_HEADERS
#endif
#define pair meschach_pair
#include <meschach/matrix.h>
#include <meschach/matrix2.h>
#include <meschach/sparse.h>
#include <meschach/sparse2.h>
#include <meschach/iter.h>
#ifdef catch
# undef catch
#endif
#undef pair
#undef min
#undef max
#ifdef STDC_HEADERS
# undef STDC_HEADERS
#endif
#ifdef CONFIG_H_STDC_HEADERS
# undef CONFIG_H_STDC_HEADERS
# define STDC_HEADERS 1
#endif
}

#endif /* ALOD_COMMON_MESCH_H */
