/*! \file
 * \brief Utility functions for manipulating paths
 */

#ifndef ALOD_COMMON_PATHS_H
#define ALOD_COMMON_PATHS_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <string>

//! Returns the absolute path of \a file when interpreted relative to \a source
std::string relative_path(const std::string &source, const std::string &file);

//! Returns the path to access some resource.
/*! \param env A environment variable that may override the path
 * \param path The compiled in path
 * \param file The base filename to load
 */
std::string resource_path(const std::string &env,
                          const std::string &path,
                          const std::string &file);

#endif /* !ALOD_COMMON_PATHS_H */
