/*! \file
 * \brief Timer code
 */

#ifndef ALOD_COMMON_TIMING_H
#define ALOD_COMMON_TIMING_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <glib.h>

class Timer
{
private:
    GTimeVal start;
public:
    Timer() { g_get_current_time(&start); }

    void reset() { g_get_current_time(&start); }

    double elapsed() const
    {
        GTimeVal now;
        g_get_current_time(&now);
        return (now.tv_sec - start.tv_sec) + 1e-6 * (now.tv_usec - start.tv_usec);
    }
};

#endif /* ALOD_COMMON_TIMING_H */
