/*! \addtogroup format
 * @{
 */

/*! \file
 * \brief Internal ALM file format
 */

#ifndef FORMATS_ALM_H
#define FORMATS_ALM_H
#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <iostream>
#include "formats.h"
#include "mesh/mesh.h"
#include <vector>
#include <string>

class bad_alm : public bad_format
{
public:
    bad_alm(const std::string &msg) : bad_format(msg) {}
};

//! Loads a mesh from the internal ALM format
void alm_load_mesh(std::istream &in, Mesh &m, MeshLevel level,
                   std::vector<std::string> &comments,
                   const std::string &path,
                   const std::vector<std::string> &args) throw(bad_alm);

//! Saves a mesh to the internal ALM format
void alm_save_mesh(std::ostream &out, const Mesh &m,
                   const std::vector<std::string> &comments,
                   const std::string &path) throw(bad_alm);

#endif /* !FORMATS_ALM_H */

/*! @} */
