/*! \addtogroup format
 * @{
 */

/*! \file
 * \brief Quake 3 MD3 model format support
 */

#ifndef ALOD_FORMATS_MD3_H
#define ALOD_FORMATS_MD3_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <iostream>
#include <vector>
#include <string>
#include "mesh/mesh.h"
#include "formats/formats.h"

class bad_md3 : public bad_format
{
public:
    bad_md3(const std::string &msg) : bad_format(msg) {}
};

//! Loads a mesh from a Quake3 MD3 file
void md3_load_mesh(std::istream &in, Mesh &m,
                   MeshLevel level,
                   std::vector<std::string> &comments,
                   const std::string &path,
                   const std::vector<std::string> &args) throw(bad_md3);

#endif /* ALOD_FORMATS_MD3_H */

/*! @} */
