/*! \addtogroup format
 * @{
 */

/*! \file
 * \brief Write-only support for Wavefront OBJ format
 */

#ifndef ALOD_FORMATS_OBJ_H
#define ALOD_FORMATS_OBJ_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "mesh/mesh.h"
#include "formats/formats.h"
#include <iosfwd>
#include <vector>
#include <string>

//! Writes a mesh back to Wavefront OBJ format
void obj_save_mesh(std::ostream &out, const Mesh &m,
                   const std::vector<std::string> &comments,
                   const std::string &path) throw(bad_format);

#endif /* ALOD_FORMATS_OBJ_H */

/*! @} */
