/*! \addtogroup geom
 * @{
 */

/*! \file
 * \brief Coordinates for animated models
 */

#ifndef ALOD_GEOM_ANIM_H
#define ALOD_GEOM_ANIM_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <cstddef>
#include <cmath>
#include <iostream>
#include <algorithm>
#include "geom/coords.h"
#include "geom/skeleton.h"

//! A vector holding a position in animation space
class VectorPosition : public Skeleton::SsdVector
{
public:
    VectorPosition() : Skeleton::SsdVector() {}
    VectorPosition(const Skeleton::SsdVector &v) : Skeleton::SsdVector(v) {}
    explicit VectorPosition(const Skeleton &s) : Skeleton::SsdVector(s.ssd_vector()) {}
};

#endif /* ALOD_GEOM_ANIM_H */

/*! @} */
