/*! \addtogroup mesh
 * @{
 */

/*! \file
 * \brief Utility code for appearance preserving simplification
 */

#ifndef ALOD_MESH_APS_H
#define ALOD_MESH_APS_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "mesh/mesh.h"
#include "mesh/simplify.h"
#include "geom/coords.h"
#include <vector>
#include <stdexcept>

MeshSimplifier *mesh_simplifier_new_aps(Mesh &m, const std::string &method,
                                        bool do_influence, bool do_edge);

#endif /* !ALOD_MESH_APS_H */

/*!
 * @}
 */
