/*! \addtogroup mesh
 * @{
 */

/*! \file
 * \brief Functions to validate a mesh
 */

#ifndef ALOD_MESH_MANIFOLD_H
#define ALOD_MESH_MANIFOLD_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "mesh/mesh.h"

//! Checks that the mesh is valid, throwing a \c mesh_nonmanifold exception if not
void mesh_check_manifold(const Mesh &m, MeshLevel level) throw(mesh_nonmanifold);

//! Checks that the mesh is a manifold that structures are consistent
bool mesh_manifold(const Mesh &m, MeshLevel level);

#endif /* !ALOD_MESH_MANIFOLD_H */

/*! @} */
