#ifndef ALOD_RENDER_DECAL_H
#define ALOD_RENDER_DECAL_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <string>
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassDecal : public RenderHelperClass
{
protected:
    virtual std::string fragment_program_file() const { return "decal.cg"; }
    virtual std::string fragment_program_class() const { return "DecalFP"; }

    CGparameter decal_parameter;
    friend class RenderHelperDecal;
public:
    RenderHelperClassDecal() : RenderHelperClass() {}

    virtual RenderHelperType type() const { return RENDER_HELPER_SHADER; }
    virtual int flags() const { return RENDER_FLAG_TEXCOORDS; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void set_parameters(CGparameter vparameter, CGparameter fparameter);
};

#endif /* !ALOD_RENDER_DECAL_H */
