#ifndef ALOD_RENDER_DISTANCE_H
#define ALOD_RENDER_DISTANCE_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <GL/gl.h>
#include <Cg/cg.h>
#include <string>

using namespace std;

class RenderHelperClassDistance : public RenderHelperClass
{
protected:
    GLsizei size;
    float scale;
    CGparameter geometry_cg_class;
    CGprogram generate_vp, generate_fp;
    GLuint fbos[2], textures[2];
    CGparameter position_parameters[2];
    RenderHelperClass *geometry_class;

    virtual std::string fragment_program_file() const { return "distance.cg"; }
    virtual std::string fragment_program_class() const { return "DistanceFP"; }

    friend class RenderHelperDistance;
public:
    RenderHelperClassDistance(GLsizei size, float scale) : size(size), scale(scale) {}

    virtual RenderHelperType type() const { return RENDER_HELPER_SHADER; }
    virtual int flags() const { return RENDER_FLAG_TEXCOORDS; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual CGparameter begin_fragment_program(CGprogram fp);
    virtual void set_parameters(CGparameter vparameter, CGparameter fparameter);
    virtual void end_state();
};

#endif /* !ALOD_RENDER_DISTANCE_H */
