#ifndef ALOD_RENDER_GEOMETRY_FRAG_H
#define ALOD_RENDER_GEOMETRY_FRAG_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include "render/geometry.h"
#include "render/geometry_rtvb.h"
#include "geom/skeleton.h"
#include <GL/gl.h>
#include <Cg/cg.h>
#include <string>
#include <vector>

class RenderHelperClassGeometryFrag : public RenderHelperClassGeometryRTVB
{
protected:
    CGparameter inf_parameter[3][2];
    CGparameter bone_parameter, addr_parameter, transform_parameter;
    CGparameter flod_parameter;

    virtual int flags() const { return RENDER_FLAG_SORT_INFLUENCES; }
    virtual std::string rtvb_vertex_program_file() const { return "rtvb_frag_vp.cg"; }
    virtual std::string rtvb_fragment_program_file() const { return "rtvb_frag_fp.cg"; }

    friend class RenderHelperGeometryFrag;
public:
    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void end_state();
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_GEOMETRY_FRAG_H */
