#ifndef ALOD_RENDER_GEOMETRY_TEXTURE_H
#define ALOD_RENDER_GEOMETRY_TEXTURE_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/geometry.h"
#include "render/meshrender.h"
#include "geom/skeleton.h"
#include <GL/gl.h>
#include <Cg/cg.h>
#include <vector>

class RenderHelperClassGeometryTexture : public RenderHelperClass
{
private:
    CGparameter influence_parameter[3];
    CGparameter bone_parameter;
    CGparameter offset_parameter;
    CGparameter texcoord_parameter;

    CGparameter flod_parameter, xstep_parameter;
    CGparameter transform_parameter;

    friend class RenderHelperGeometryTexture;
protected:
    virtual std::string vertex_program_class() const { return "GeometryTextureVP"; }
public:
    RenderHelperClassGeometryTexture() : RenderHelperClass() {}
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual RenderHelperType type() const { return RENDER_HELPER_GEOMETRY; }

    virtual CGparameter begin_vertex_program(CGprogram vp);
    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void end_state();
};

#endif /* !ALOD_RENDER_GEOMETRY_TEXTURE_H */
