#ifndef ALOD_RENDER_INFLUENCES_H
#define ALOD_RENDER_INFLUENCES_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>
#include <string>

class RenderHelperClassInfluences : public RenderHelperClass
{
protected:
    CGparameter influences_parameter;

    virtual std::string vertex_program_class() const { return "InfluencesVP"; }
    friend class RenderHelperInfluences;
public:
    virtual RenderHelperType type() const { return RENDER_HELPER_SHADER; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void end_state();
};

#endif /* ALOD_RENDER_INFLUENCES_H */

