#ifndef ALOD_RENDER_ISOLINES_H
#define ALOD_RENDER_ISOLINES_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <string>
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassIsolines : public RenderHelperClass
{
protected:
    virtual std::string fragment_program_file() const { return "isolines.cg"; }
    virtual std::string fragment_program_class() const { return "IsolinesFP"; }

    float scale;
    bool checkerboard;
    GLuint texture;
    friend class RenderHelperIsolines;
public:
    RenderHelperClassIsolines(float scale, bool checkerboard) : scale(scale), checkerboard(checkerboard) {}

    virtual RenderHelperType type() const { return RENDER_HELPER_SHADER; }
    virtual int flags() const { return RENDER_FLAG_TEXCOORDS; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual CGparameter begin_fragment_program(CGprogram fp);
    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void set_parameters(CGparameter vparameter, CGparameter fparameter);
    virtual void end_state();
};

#endif /* ALOD_RENDER_ISOLINES_H */
