#ifndef ALOD_RENDER_LIGHTING_CUBE_H
#define ALOD_RENDER_LIGHTING_CUBE_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>
#include <string>

class RenderHelperClassLightingCube : public RenderHelperClass
{
private:
    GLuint lighting_texture;
    int size;
protected:
    virtual std::string fragment_program_file() const { return "lighting_cube.cg"; }
    virtual std::string fragment_program_class() const { return "LightingCubeFP"; }
public:
    explicit RenderHelperClassLightingCube(int size) : size(size) {}

    virtual RenderHelperType type() const { return RENDER_HELPER_LIGHTING; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void set_parameters(CGparameter vparameter, CGparameter fparameter);
    virtual void set_light(float diffuse, float ambient, const Vector3 &direction);
    virtual void end_state();
};

#endif /* !ALOD_RENDER_LIGHTING_CUBE_H */
