#if HAVE_CONFIG_H
# include <config.h>
#endif

#include <glee/GLee.h>
#include "render/meshrender.h"
#include "render/interfaces.h"
#include "render/lighting_dot.h"
#include <Cg/cg.h>
#include <Cg/cgGL.h>

RenderHelper *RenderHelperClassLightingDot::new_instance(const RenderMesh &m)
{
    return new RenderHelper(*this, m);
}

void RenderHelperClassLightingDot::begin_state(CGprogram vp, CGprogram fp, int flags)
{
    RenderHelperClass::begin_state(vp, fp, flags);

    diffuse_parameter = cgGetNamedParameter(fp, "u_light_diffuse");
    ambient_parameter = cgGetNamedParameter(fp, "u_light_ambient");
    direction_parameter = cgGetNamedParameter(fp, "u_light_direction");
}

void RenderHelperClassLightingDot::set_light(float diffuse, float ambient, const Vector3 &direction)
{
    RenderHelperClass::set_light(diffuse, ambient, direction);

    cgGLSetParameter1f(diffuse_parameter, diffuse);
    cgGLSetParameter1f(ambient_parameter, ambient);
    cgGLSetParameter3f(direction_parameter, direction[0], direction[1], direction[2]);
}
