#ifndef ALOD_RENDER_LIGHTING_DOT_H
#define ALOD_RENDER_LIGHTING_DOT_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/meshrender.h"
#include "render/interfaces.h"

class RenderHelperClassLightingDot : public RenderHelperClass
{
protected:
    CGparameter diffuse_parameter, ambient_parameter, direction_parameter;

    virtual std::string fragment_program_file() const { return "lighting_dot.cg"; }
    virtual std::string fragment_program_class() const { return "LightingDotFP"; }
public:
    virtual RenderHelperType type() const { return RENDER_HELPER_LIGHTING; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);

    virtual void set_light(float diffuse, float ambient, const Vector3 &direction);
};

#endif /* !ALOD_RENDER_LIGHTING_DOT_H */
