#ifndef ALOD_RENDER_NORMAL_STATIC_H
#define ALOD_RENDER_NORMAL_STATIC_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <Cg/cg.h>
#include <GL/gl.h>
#include <string>
#include <vector>
#include <utility>

class RenderHelperClassNormalStatic : public RenderHelperClass
{
private:
    CGparameter normal_map_parameters[2];
    friend class RenderHelperNormalStatic;
protected:
    virtual std::string fragment_program_class() const { return "NormalStaticFP"; }
public:
    virtual RenderHelperType type() const { return RENDER_HELPER_NORMAL; }
    virtual int flags() const { return RENDER_FLAG_VERTEX_TANGENTS | RENDER_FLAG_VERTEX_NORMALS | RENDER_FLAG_TEXCOORDS; }

    virtual void set_parameters(CGparameter vparameter, CGparameter fparameter);
    virtual RenderHelper *new_instance(const RenderMesh &m);
};

#endif /* !ALOD_RENDER_NORMAL_STATIC_H */
