#ifndef ALOD_RENDER_PATCHES_H
#define ALOD_RENDER_PATCHES_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "render/interfaces.h"
#include "render/meshrender.h"
#include <string>
#include <vector>
#include <Cg/cg.h>
#include <GL/gl.h>

class RenderHelperClassPatches : public RenderHelperClass
{
protected:
    CGparameter patch_parameter;
    GLint patch_index;          //!< Generic attribute number; see source for details
    bool random_colours;        //!< Whether to use totally random colours

    virtual std::string vertex_program_class() const { return "PatchesVP"; }
    friend class RenderHelperPatches;
public:
    explicit RenderHelperClassPatches(bool random_colours);

    virtual RenderHelperType type() const { return RENDER_HELPER_SHADER; }
    virtual RenderHelper *new_instance(const RenderMesh &m);

    virtual void begin_state(CGprogram vp, CGprogram fp, int flags);
    virtual void end_state();
};

#endif /* !ALOD_RENDER_PATCHES_H */
