#ifndef ALOD_RENDER_TRANSFORM_TEXTURE_H
#define ALOD_RENDER_TRANSFORM_TEXTURE_H

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include "geom/skeleton.h"
#include <GL/gl.h>

//! Base class for helper-class classes that want to do transform textures
class TransformTexture
{
private:
    GLuint transform_texture;
    GLint transform_texture_height;

    //! Prevent copying
    TransformTexture(const TransformTexture &x) {}
    TransformTexture &operator =(const TransformTexture &x) { return *this; }
public:
    TransformTexture() : transform_texture(0), transform_texture_height(0) {}
    ~TransformTexture();

    //! Returns the texture ID to use
    GLuint update(const Skeleton &skeleton);

    //! Deletes the texture
    void end();
};

#endif /* !ALOD_RENDER_TRANSFORM_TEXTURE_H */
