import string, struct, os.path, sys, math, as_utils
import Blender
from Blender import *
from Blender.Mathutils import *
from as_utils import *

obj = Blender.link
scene = Blender.Scene.GetCurrent()
context = scene.getRenderingContext()
if obj.getType() == 'MBall':
        mesh_obj = obj.getParent()
        mesh = mesh_obj.getData(False, True)

        v = mesh.verts[-1].co
        obj.setLocation(v[0], v[1], v[2])
else:
        mesh = obj.getData(False, True)  # Gets a Mesh not NMesh
        arm_obj = obj.getParent()
        arm_obj.evaluatePose(context.currentFrame())
        pose_bones = arm_obj.getPose().bones

        for v in mesh.verts:
                v.co = Vector(0.0, 0.0, 0.0)

        for bone in pose_bones.values():
                local = get_influence_coords(mesh, bone.name)
                for key, co in local.iteritems():
                        co2 = co * bone.poseMatrix
                        mesh.verts[key].co += contract(co2)
        local = get_influence_coords(mesh, 'Root')
        for key, co in local.iteritems():
                mesh.verts[key].co += contract(co)

        mesh.calcNormals()
