#!/usr/bin/perl
use strict;
use warnings;
use Getopt::Long;

my $quiet = 0;
GetOptions("quiet|q" => \$quiet);

die "Usage: meanstretch.pl <file>" unless @ARGV;
my $file = $ARGV[0];
$_ = `tools/meshstat -- $file`;
my ($frames) = m/frames: (\d+)/;

my $total = 0.0;
for (my $i = 0; $i < $frames; $i++)
{
    $_ = `tools/meshedit -o plybin --  $file%$i /dev/stdout | tools/meshstat -i plybin -p -- /dev/stdin`;
    my ($l2) = m/L2 stretch: (\S+)/;
    $total += $l2;
    if (!$quiet)
    {
        print "Frame $i: $l2\n";
    }
}
print $total / $frames, "\n";
