#!BPY

""" Registration info for Blender menus:
Name: 'Copy mesh seams'
Blender: 242
Group: 'UV'
Tip: 'Automatically fills in seams from discontinuities in the existing UV-mapping'
"""

import Blender;

def copy_seams():
        source = Blender.Scene.GetCurrent().getActiveObject()
        targets = Blender.Object.GetSelected()

        if source == None:
                Blender.Draw.PupMenu('Error|No source')
                return

        source_mesh = source.getData(False, True)
        seam_edges = []
        for e in source_mesh.edges:
                if e.flag & Blender.Mesh.EdgeFlags.SEAM:
                        seam_edges.append((e.v1.index, e.v2.index))
        for target in targets:
                target_mesh = target.getData(False, True)
                if target_mesh != source_mesh:
                        for e in target_mesh.edges:
                                e.flag &= ~Blender.Mesh.EdgeFlags.SEAM;
                        for i in target_mesh.findEdges(seam_edges):
                                target_mesh.edges[i].flag |= Blender.Mesh.EdgeFlags.SEAM
                        target_mesh.update()

editmode = Blender.Window.EditMode()    # are we in edit mode?  If so ...
if editmode: Blender.Window.EditMode(0) # leave edit mode before getting the mesh
copy_seams()
if editmode: Blender.Window.EditMode(1)
