#if HAVE_CONFIG_H
# include <config.h>
#endif

#if HAVE_CPPUNIT
#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/BriefTestProgressListener.h>
#include <cppunit/TestResult.h>
#include <glib.h>
#include "common/logging.h"

int main(int argc, char **argv)
{
    CppUnit::TextUi::TestRunner runner;
    CppUnit::BriefTestProgressListener listener;

    alod_log_set_level(G_LOG_LEVEL_WARNING);
    g_log_set_handler(NULL,
                      (GLogLevelFlags) (G_LOG_LEVEL_MASK | G_LOG_FLAG_FATAL | G_LOG_FLAG_RECURSION),
                      alod_log_func,
                      NULL);

    runner.eventManager().addListener(&listener);
    runner.addTest(CppUnit::TestFactoryRegistry::getRegistry().makeTest());
    return !runner.run(argc <= 1 ? "" : argv[1], false, true, false);
}
#endif
